API Explorer 891 endpoints

Create new certificate_of_compliance

POST /obp/v7.0.0/banks/ogcr/dynamic-entities/certificate_of_compliance

OBPv7.0.0-dynamicEntity_createcertificate_of_compliance_ogcr Roles: CanCreateDynamicEntityRecord_certificate_of_compliance(per bank) _Certificate_of_compliance(ogcr)Dynamic-EntityDynamic

Create new certificate_of_compliance.

‘certificate of compliance’ means a conformity statement issued by a certification body certifying that an activity complies with this Regulation;. This Dynamic Entity is part of OGCR.

Property List:

  • certificate_of_compliance_id: ID of the certificate of compliance
  • certification_scheme_id: ID of the certification scheme
  • certification_body_id: ID of the certification body
  • activity_id: ID of the activity being certified.
  • country_id: Country of issuance
  • issue_date: Issuance data
  • expiry_date: Expiry date
  • carbon_removals_under_baseline: Carbon removals that would have occurred under the baseline, without the activity (CO2e tonnes)
  • soil_emissions_under_baseline: Soil emissions that would have occurred under the baseline (CO2e tonnes)
  • permanent_net_carbon_removal_benefit: Permanent net carbon removal benefit certified for the activity (CO2e tonnes)
  • carbon_farming_temporary_net_carbon_removal_benefit: Temporary net carbon removal benefit from carbon farming certified for the activity (CO2e tonnes)
  • carbon_farming_net_soil_emission_reduction_benefit: Net soil emission reduction benefit from carbon farming certified for the activity (CO2e tonnes)
  • carbon_storage_temporary_net_carbon_removal_benefit: Temporary net carbon removal benefit from carbon storage in products certified for the activity (CO2e tonnes)
  • unit_type: Unit category produced during this activity. (Permanent Removal, Carbon Farming Sequestration, Soil Emission Reduction, Carbon Storage in Product)
  • certification_status: The status of a certificate. Either "Certified" or "Expired"
  • certification_scheme_rules_and_procedures: Reference to the rules and procedures of the certification scheme under which the certificate was issued
  • certification_annual_reports: Reference to the annual reports of the certification scheme

MethodRouting settings example:

<details>

{
  "is_bank_id_exact_match":false,
  "method_name":"dynamicEntityProcess",
  "connector_name":"rest_vMar2019",
  "bank_id_pattern":".*",
  "parameters":[
    {
        "key":"entityName",
        "value":"certificate_of_compliance"
    }
    {
        "key":"url",
        "value":"http://mydomain.com/xxx"
    }
  ]
}

</details>

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

Example request body
{
  "certificate_of_compliance_id": "3dece208-c95c-11f0-9041-54e1adfac5b3",
  "certification_scheme_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
  "certification_body_id": "3dece208-c95c-11f0-9041-54e1adfac5b2",
  "activity_id": "a_05OFWI037022",
  "audit_report_id": "string",
  "country_id": "DE",
  "issue_date": "2026-12-25",
  "expiry_date": "2031-12-25",
  "carbon_removals_under_baseline": 6.5,
  "soil_emissions_under_baseline": 6.5,
  "permanent_net_carbon_removal_benefit": 6.5,
  "carbon_farming_temporary_net_carbon_removal_benefit": 6.5,
  "carbon_farming_net_soil_emission_reduction_benefit": 6.5,
  "carbon_storage_temporary_net_carbon_removal_benefit": 6.5,
  "unit_type": "Carbon Farming Sequestration",
  "certification_status": "Verified",
  "certification_scheme_rules_and_procedures": "https://scheme.example.org/rules-and-procedures-v2.1.pdf",
  "certification_annual_reports": "https://scheme.example.org/annual-report-2026.pdf"
}
Example success response
{
  "bank_id": "ogcr",
  "certificate_of_compliance": {
    "certificate_of_compliance_id": "3dece208-c95c-11f0-9041-54e1adfac5b3",
    "certification_scheme_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
    "certification_body_id": "3dece208-c95c-11f0-9041-54e1adfac5b2",
    "activity_id": "a_05OFWI037022",
    "audit_report_id": "string",
    "country_id": "DE",
    "issue_date": "2026-12-25",
    "expiry_date": "2031-12-25",
    "carbon_removals_under_baseline": 6.5,
    "soil_emissions_under_baseline": 6.5,
    "permanent_net_carbon_removal_benefit": 6.5,
    "carbon_farming_temporary_net_carbon_removal_benefit": 6.5,
    "carbon_farming_net_soil_emission_reduction_benefit": 6.5,
    "carbon_storage_temporary_net_carbon_removal_benefit": 6.5,
    "unit_type": "Carbon Farming Sequestration",
    "certification_status": "Verified",
    "certification_scheme_rules_and_procedures": "https://scheme.example.org/rules-and-procedures-v2.1.pdf",
    "certification_annual_reports": "https://scheme.example.org/annual-report-2026.pdf"
  },
  "metadata": {
    "created": {
      "at": "2026-09-30T10:12:00Z",
      "user_id": "a9f2c7e1-3d4b-4a5c-8e6f-7a8b9c0d1e2f",
      "on_behalf_of_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1"
    },
    "updated": {
      "at": "2026-09-30T11:40:00Z",
      "user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
      "on_behalf_of_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1"
    }
  }
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-10001: Incorrect json format.
  • OBP-50000: Unknown Error.
Implemented by OBPv7.0.0 dynamicEntity_createcertificate_of_compliance_ogcr Originally /banks/ogcr/dynamic-entities/certificate_of_compliance